Search runners
- POST /platform/infrastructure/runners/_search
Retrieves runners that match a given query.
Request body
The optional search request to execute. If not supplied then all runners are matched.
-
cursorstring -
To retrieve the next page of hits, set this to the cursor value of the previous response. When set, all other fields are ignored.
-
queryobject -
The container for all of the allowed Elasticsearch queries. Specify only one property each time.
-
query_stringobject -
A query that uses the strict query string syntax for parsing. Will return an error for invalid syntax.
-
simple_query_stringobject -
A query that uses simple query string syntax. Will ignore invalid syntax.
-
default_operatorstring -
The boolean operator used to combine the terms of the query. Valid values are
OR(default) andAND. -
auto_generate_synonyms_phrase_queryboolean -
If
true, the parse creates amatch_phraseuery for each multi-position token. Defaults totrue. -
fuzzy_max_expansionsinteger · format: int32 -
Maximum number of terms to which the query expands for fuzzy matching. Defaults to 50.
-
fuzzy_prefix_lengthinteger · format: int32 -
Number of beginning characters left unchanged for fuzzy matching. Defaults to 0.
-
fuzzy_transpositionsboolean -
If
true, edits for fuzzy matching include transpositions of two adjacent characters. Defaults tofalse. -
lenientboolean -
If
true, format-based errors, such as providing a text value for a numeric field are ignored. Defaults tofalse.
Responses
An overview of runners that matched the given search query.
The search request failed. (code: runners.search_failed)